

/* link style-all.css file */

/* Header, nav bar */
/* header is styled in style-all.css file */

/* variables */
:root{
    /* 1vw ~= 19px */
    --hero-back-font-size: 13vw;
    --hero-front-font-size: 2vw;
    --section-padding: 3vw;
    --row-col-gap: 2vw;
    --p-font-size: 1.1vw;
    --white-text-color: #F1F1F1;
}

/* hero logo section */
.hero-section{
    margin-top: 5.2rem;
    text-transform: uppercase;
    height: 30vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    font-size: var(--hero-front-font-size);
}
.hero-section>p:nth-child(2){
    font-weight: 900;
}
.hero-section::before{
    content: 'OUR GALLERY';
    white-space: nowrap;
    color: var(--white-text-color);
    font-weight: 900;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: -1;
    font-size: var(--hero-back-font-size);
    transition: .3s all ease-in-out;
    overflow: hidden;
}
.hero-section:hover::before{
    transform: scale(.7);
}

/* gallery section */
.section{
    width: 100%;
    padding: var(--section-padding);
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: var(--row-col-gap);
    row-gap: var(--row-col-gap);
    align-items: center;
}
.gallery-image{
    width: 100%;
}
.gallery-image > img{
    width: 100%;
    border-radius: 20px;
}

/* footer is in style-all.css file */

/* media queries */
/* media queries for mobile */
@media screen and  (min-width: 320px) and (max-width: 768px) {
    :root{
        --hero-front-font-size: 3.5vw;
        --p-font-size: 3.6vw;
        --section-padding: 6vw;
        --row-col-gap: 3vw;
    }
    /* hero logo section */
    .hero-section{
        margin-top: 5.2rem;
        height: 15vh;
    }
    .section{
        grid-template-columns: 1fr;
    }

    /* footer is in style-all.css file */
}
/* end media queries for mobile */

